<?php

/**

 * Plugin Name: Email My Posts

 * Plugin URI: https://troplr.com/

 * Description: Allow users to share/email post via wp_mail. 

 * Version: 1.0.2

 * Author: Troplr

 * Author URI: https://troplr.com

 * Requires at least: 4.5

 * Tested up to: 4.7

 *

 * Text Domain: troplr

 *

 */



require_once('titan-framework/titan-framework-embedder.php');





add_action( 'tf_create_options', 'emp_ppstemail' );

function emp_ppstemail() {

// Initialize Titan & options here

 $titan = TitanFramework::getInstance( 'pst-email' );



 $panel = $titan->createAdminPanel( array(

'name' => 'Email My Posts',

) );



$generalTab = $panel->createTab( array(

'name' => 'Settings',

) );



$optionset = $panel->createTab( array(

'name' => 'Styles',

) );



$optionset->createOption(  array(

'name' => 'Select Button Size',

'id' => 'my_layout',

'type' => 'radio-image',

'options' => array(

'large' => plugin_dir_url( __FILE__ ) . '/images/button1.png',

'small' => plugin_dir_url( __FILE__ ) . '/images/small.png',

'xtras' => plugin_dir_url( __FILE__ ) . '/images/xtras.png',

'blk' => plugin_dir_url( __FILE__ ) . '/images/block.png',

),

'default' => 'small',

) );



$optionset->createOption( array(

'name' => 'Button Alignment',

'id' => 'btn_algn',

'options' => array(

'1' => 'Right',

'2' => 'Left',

'3' => 'Center',

),

'type' => 'radio',

'default' => '2',

) );



$optionset->createOption(  array(

'name' => 'Button Text',

'id' => 'btn_text',

'type' => 'text',

'default' => 'Email this post',

) );



$optionset->createOption( array(

'name' => 'Button Background Color',

'id' => 'btn_background_color',

'type' => 'color',

'desc' => 'Pick a color',

'default' => '#555555',

) );



$optionset->createOption( array(

'name' => 'Button Border Color',

'id' => 'btn_border_color',

'type' => 'color',

'desc' => 'Pick a color',

'default' => '#555555',

) );



$optionset->createOption( array(

'name' => 'Email Content Styles',

'id' => 'contstyles',

'type' => 'font',

'desc' => 'Select a style',

'show_font_family' => false,

'color' => '#333333',

'font-size' => '13px',

'line-height' => '5px',

'font-weight' => 'normal',

'show_letter_spacing' => false,

'show_font_variant' => false,

'show_text_shadow' => false,

'show_font_style' => false,
'show_text_transform' => false,

) );



$optionset->createOption( array(

'name' => 'Email Top Header Styles',

'id' => 'headstyles',

'type' => 'font',

'desc' => 'Select a style',

'show_font_family' => false,

'color' => '#333333',

'font-size' => '13px',

'line-height' => '5px',

'font-weight' => 'normal',

'show_letter_spacing' => false,

'show_font_variant' => false,

'show_text_shadow' => false,

'show_font_style' => false,

'show_text_transform' => false,

'default' => array(

'color' => '#888888',

'font-weight' => '700',

)

) );



$optionset->createOption( array(

'name' => 'Email Footer Styles',

'id' => 'footerstyles',

'type' => 'font',

'desc' => 'Select a style',

'show_font_family' => false,

'color' => '#333333',

'font-size' => '13px',

'line-height' => '5px',

'font-weight' => 'normal',

'show_letter_spacing' => false,

'show_font_variant' => false,

'show_text_shadow' => false,

'show_font_style' => false,

'show_text_transform' => false,

'default' => array(

'color' => '#888888',

'font-weight' => '700',

)

) );



$generalTab->createOption( array(

'name' => 'Content Type',

'id' => 'content_type',

'options' => array(

'1' => 'Full Content',

'2' => 'Excerpt/Summary',

),

'type' => 'radio',

'desc' => 'Select',

'default' => '2',

) );

/*

$generalTab->createOption( array(

'name' => 'Check Post-Types',

'id' => 'emp_posttypes',

'type' => 'multicheck-post-types',

'desc' => 'Check a post-type you want to be shared.',

) );

*/





// Create options in My General Tab

$generalTab->createOption(  array(

'name' => 'Your email id',

'id' => 'myemail_id',

'type' => 'text',

'desc' => 'Make sure the email is from your same domain to avoid being marked as spam.'

) );



$generalTab->createOption( array(

'name' => 'Email Top Header Area',

'id' => 'email_headermsg',

'type' => 'editor',

'desc' => 'You can insert texts, signature, shortcodes and promo banner here',

'default' => 'Your friend shared a post'

) );



$generalTab->createOption( array(

'name' => 'Email Footer Area',

'id' => 'email_footermsg',

'type' => 'editor',

'desc' => 'You can insert texts, signature, shortcodes and promo banner here',

'default' => 'Post shared via example.com'

) );



$generalTab->createOption( array(

'name' => 'Email success message',

'id' => 'email_success',

'type' => 'text',

'desc' => 'Success Message',

'default' => 'Thankyou for sharing the article'

) );



$generalTab->createOption( array(

'name' => 'Show Logo',

'id' => 'logo_enable',

'type' => 'enable',

'default' => false,

'desc' => 'Enable to show logo, If disabled will show blog name',

) );



$optionset->createOption( array(

'name' => '',

'id' => 'pay',

'type' => 'note',

'desc' => 'You may want to support my development: <a target="_blank" href="https://paypal.me/sandeeptete">Pay a tip</a>'

) );



$generalTab->createOption( array(

'name' => '',

'id' => 'pays',

'type' => 'note',

'desc' => 'You may want to support my development: <a target="_blank" href="https://paypal.me/sandeeptete">Pay a tip</a>'

) );





$generalTab->createOption( array(

'type' => 'save'

) );



$optionset->createOption( array(

'type' => 'save'

) );



$generalTab->createOption( array(
'name' => '',
'id' => 'emppay',
'type' => 'note',
'desc' => 'Thankyou for using <b>Email My Posts</b>.<br>You may want to support my development: <a target="_blank" href="https://paypal.me/sandeeptete">Paypal me a tip</a>'
) );

$generalTab->createOption(  array(
'name' => '',
'id' => 'emp_message_grid',
'type' => 'note',
'desc' => 'You may find other plugins from us to be useful below.<br><div class="autowide">
  <div class="module">
    <p><b><a href="https://wordpress.org/plugins/categories-gallery/">Bootstrap Categories Gallery</a></b></p>
  </div>
  <div class="module">
    <p><b><a href="https://wordpress.org/plugins/custom-scroll-bar-designer/">Custom Scrollbar Designer</a></b></p>
  </div>
  <div class="module">
    <p><b><a href="https://wordpress.org/plugins/custom-text-selection-colors/">Custom Text Selection Colors</a></b></p>
  </div>
  <div class="module">
    <p><b><a href="https://wordpress.org/plugins/disable-image-right-click/">Disable Image Right Click</a></b></p>
  </div>
  <div class="module">
    <p><b><a href="https://wordpress.org/plugins/easy-gallery-slideshow/">Easy Gallery Slideshow</a></b></p>
  </div>
  <div class="module">
    <p><b><a href="https://wordpress.org/plugins/exit-popup-show/">Exit Popup Show</a></b></p>
  </div>
  <div class="module">
    <p><b><a href="https://wordpress.org/plugins/popup-modal-for-youtube/">Popup Modal For Youtube</a></b></p>
  </div>
  <div class="module">
    <p><b><a href="https://wordpress.org/plugins/woo-availability-date/">Product Limited Time Availability Date for woocommerce</a></b></p>
  </div>
  <div class="module">
    <p><b><a href="https://wordpress.org/plugins/email-my-posts/">Share Posts To Email</a></b></p>
  </div>
  <div class="module">
    <p><b><a href="https://wordpress.org/plugins/custom-scroll-bar-designer/">Share Woocommerce to Email</a></b></p>
  </div>
  <div class="module">
    <p><b><a href="https://wordpress.org/plugins/share-woocommerce-email/">Custom Scrollbar Designer</a></b></p>
  </div>
  <div class="module">
    <p><b><a href="https://wordpress.org/plugins/total-sales-for-woocommerce/">Total Sales For Woocommerce</a></b></p>
  </div>
</div>'
) );
}

function emp_customcss()
{
  $empcss = '<style>.autowide {
  margin: 0 auto;
  width: 98%;
}
.autowide img {
  float: left;
  margin: 0 .75rem 0 0;
}
.autowide .module {
  xbackground-color: lightgrey;
  border-radius: .25rem;
  margin-bottom: 1rem;
  color: #0f8cbb;
}
.autowide .module p {
  padding: 4px 0px;
}

/* 2 columns: 600px */
@media only screen and (min-width: 600px) {
  .autowide .module {
    float: left;
    margin-right: 2.564102564102564%;
    width: 48.717948717948715%;
  }
  .autowide .module:nth-child(2n+0) {
    margin-right: 0;
  }
}

/* 3 columns: 768px */
@media only screen and (min-width: 768px) {
  .autowide .module {
    width: 31.623931623931625%;
  }
  .autowide .module:nth-child(2n+0) {
    margin-right: 2.564102564102564%;
  }
  .autowide .module:nth-child(3n+0) {
    margin-right: 0;
  }
}

/* 4 columns: 992px and up */
@media only screen and (min-width: 992px) {
  .autowide .module {
    width: 23.076923076923077%;
  }
  .autowide .module:nth-child(3n+0) {
    margin-right: 2.564102564102564%;
  }
  .autowide .module:nth-child(4n+0) {
    margin-right: 0;
  }
}</style>';
echo $empcss;

}
add_action('admin_head','emp_customcss');



function emp_template(){

	$titan = TitanFramework::getInstance( 'pst-email' );

	$logo_enable = $titan->getOption( 'logo_enable' );

	$email_footermsg = $titan->getOption( 'email_footermsg' );

	$footerstyles = $titan->getOption( 'footerstyles' );

	$email_headermsg = $titan->getOption( 'email_headermsg' );

	$headstyles = $titan->getOption( 'headstyles' );

	$contstyles = $titan->getOption( 'contstyles' );

	$content_type = $titan->getOption( 'content_type' );

	$permalink = get_permalink($post->ID);

	$bloginfo = get_bloginfo( $show, $filter );

	$aftercontent = $email_footermsg;

	$query = get_post(get_the_ID());

	$contents = apply_filters('the_content', $query->post_content);

	$excerpt = get_the_excerpt();

	$excerpt = substr($excerpt, 0, 300);

	$readmore = plugin_dir_url( __FILE__ ) . '/images/readmore.png';

	$custom_logo_id = get_theme_mod( 'custom_logo' );

	$image = wp_get_attachment_image_src( $custom_logo_id , 'full' );

	//echo $image[0];

	$imgg = $image[0];

	if ($logo_enable == enable){

	$imggs = '<img style="text-align:center" src="'.$imgg.'"/>';

        	//echo '<img src="'.$imgg.'"/>';

        }

        else{

        	$imggs = '<h2>'.$bloginfo.'</h2>';
        }
        if($content_type == 1){
        	$cont = '<div id="contents" style="color:'.$contstyles['color'].';line-height:'.$contstyles['line-height'].';width:100%;font-size:'.$contstyles['font-size'].';font-weight:'.$contstyles['font-weight'].';text-decoration: none;">'.$contents.'</div>';

        }

        elseif ($content_type == 2) {

        	$cont = '<div id="contents" style="color:'.$contstyles['color'].';width:100%;font-size:'.$contstyles['font-size'].';text-decoration: none;">'.$excerpt."...".'<br>

        	<span><a href="'.$permalink.'"><img style="width:120px" src="'.$readmore.'"/></a></span>

        	</div>';

        }





    $emptemp = '<div class="tempp" style="width:500px; height: auto;">

    		<div id="heads" style="color:'.$headstyles['color'].';line-height:'.$headstyles['line-height'].';width:100%;font-size:'.$headstyles['font-size'].';font-weight:'.$headstyles['font-weight'].';text-decoration: none;"" align="center">

        	'.$email_headermsg.'</div>

        	<div id="logoo" style="width: 500px;" align="center"><h3>

        	'.$imggs.'</h3></div>'.

	        		$cont.

	        		'<hr style="height:1px;border:none;color:#333;background-color:#ddd;" />

	        		<div id="footers" style="color:'.$footerstyles['color'].';line-height:'.$footerstyles['line-height'].';width:100%;font-size:'.$footerstyles['font-size'].';font-weight:'.$footerstyles['font-weight'].';text-decoration: none;"">'.$aftercontent.'</div>

        	</div>

        	

        </div> ';

        return $emptemp;





}







add_action('wp_head','emp_pstemailpost',10);

function emp_pstemailpost()

{

$titan = TitanFramework::getInstance( 'pst-email' );

$myemail_id = $titan->getOption( 'myemail_id' );

 // do conditional stuff here

}

/*function emp_logos_enable(){

$titan = TitanFramework::getInstance( 'pst-email' );

$logo_enable = $titan->getOption( 'logo_enable' );

$custom_logo_id = get_theme_mod( 'custom_logo' );

$image = wp_get_attachment_image_src( $custom_logo_id , 'full' );

echo $image[0];

$imgg = $image[0];

if ($logo_enable == enable){

	$imggs = '<img style="text-align:center" src="'.$imgg.'"/>';

        	//echo '<img src="'.$imgg.'"/>';

        }

        return $imggs;

}*/



add_action('wp_head','emp_conff',10);

function emp_conff(){

	?>

	

 <style>

            #progress { 

                display: none;

                color: green; 

            }

        </style>   



<?php

}





add_action('wp_head','emp_btn_bg_color',10);

function emp_btn_bg_color(){

	$titan = TitanFramework::getInstance( 'pst-email' );

	$btn_background_color = $titan->getOption( 'btn_background_color' );

	$btn_border_color = $titan->getOption( 'btn_border_color' );

?>

<style type="text/css">

	.btn-primary{

		background: <?php echo $btn_background_color;?>!important;

		border-color:<?php echo $btn_border_color;?>!important;

	}

	.modal-dialog {

    width: 600px;

    margin: 100px auto!important;

}

</style>

<?php

}













add_filter('wp_mail_from', 'emp_ppt_email_from');

	 

	function emp_ppt_email_from() {

	$titan = TitanFramework::getInstance( 'pst-email' );

	$myemail_id = $titan->getOption( 'myemail_id' );



	return $myemail_id;

}





add_filter('the_content', 'emp_wpptemail_before_after');

function emp_wpptemail_before_after($content) {

		$titan = TitanFramework::getInstance( 'pst-email' );

		$my_layout = $titan->getOption('my_layout');

		$btn_text = $titan->getOption('btn_text');

		$btn_algn = $titan->getOption('btn_algn');

		//$emp_posttypes = $titan->getOption('emp_posttypes');



if ($my_layout == large) {

	if ( is_singular( $post_types = 'post' )){

    

    $aftercontent = '<button type="button" class="btn btn-primary btn-lg" data-toggle="modal" data-target="#myModal">'

  		.$btn_text.

		'</button>';

    $content .= '<p>'.$aftercontent.'</p>';

    }

    return $content;

}



elseif ($my_layout == small) {

	if ( is_singular( $post_types = 'post' ) ) {

    

    $aftercontent = '<button type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#myModal">'

  		.$btn_text.

		'</button>';

    $content .= '<p>'.$aftercontent.'</p>';

    }

    return $content;

}



elseif ($my_layout == xtras) {

	if ( is_singular( $post_types = 'post' ) ) {

    

    $aftercontent = '<button type="button" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#myModal">'

  		.$btn_text.

		'</button>';

    $content .= '<p>'.$aftercontent.'</p>';

    }

    return $content;

}

elseif ($my_layout == blk) {

	if ( is_singular( $post_types = 'post' ) ) {

    

    $aftercontent = '<button type="button" class="btn btn-primary btn-block" data-toggle="modal" data-target="#myModal">'

  		.$btn_text.

		'</button>';

    $content .= '<p>'.$aftercontent.'</p>';

    }

    return $content;

}





	



}





add_action('wp_head','emp_btnn_algn',10);

function emp_btnn_algn(){

	$titan = TitanFramework::getInstance( 'pst-email' );

	$btn_algn = $titan->getOption('btn_algn');



	if ($btn_algn == 1) 

	{

		?>

	<style type="text/css">

		.btn-primary{

			float: right!important;

		}

	</style>

		<?php

	}

	elseif ($btn_algn == 2) 

	{

		?><style type="text/css">

		.btn-primary{

			float: left!important;

		}

	</style><?php

	}

	elseif ($btn_algn == 3) 

	{

		?>

		<style type="text/css">

		.btn-primary{

			margin-left: 50%!important;

		}

	</style>

	<?php

	}



}



add_filter('wp_mail_from_name', 'emp_ppt_email_from_name');

	 

	function emp_ppt_email_from_name() {

		$sender_name = strip_tags(trim($_POST["yname"]));

		$sender_name = str_replace(array("\r","\n"),array(" "," "),$sender_name);

	return $sender_name;

}



add_action('wp_footer','emp_pptemailja',10);

function emp_pptemailja()

{

	$titan = TitanFramework::getInstance( 'pst-email' );

	$email_success = $titan->getOption( 'email_success' );

	?>

	<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">

  <div class="modal-dialog" role="document">

    <div class="modal-content">

      <div class="modal-header">

        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>

        <h4 class="modal-title" id="myModalLabel"><?php $title = get_the_title( $post_id );echo "Sending: ".$title;?></h4>

      </div>

      <div class="modal-body">

        <!-- Contact Form starts here-->

       

    	





<form class="form-horizontal" id="contactform" name="contact" role="form" method="post" action="#">



	<div class="form-group" id="name-group">

		<label for="name" class="col-sm-2 control-label">Your Name</label>

		<div class="col-sm-10">

			<input type="text" class="form-control" id="name" name="yname" placeholder="First & Last Name" value="">

							<span class="alert name-alert"></span>



		</div>

	</div>

	<div class="form-group" id="email-group">

		<label for="email" class="col-sm-2 control-label">Send To Email</label>

		<div class="col-sm-10">

					<input type="email" class="form-control" id="email" name="email" placeholder="example@domain.com" value="">

					<span class="alert email-alert"></span>

		</div>

	</div>

	

	<div class="form-group">

		<div class="col-sm-10 col-sm-offset-2">

		



			<input id="submit" name="submit" type="submit" value="Send" class="btn btn-success" onclick="document.getElementById('progress').style.display = 'block' ;"> 

<!-- 						<button type="submit" class="btn btn-lg btn-primary">Send</button>

 -->

		</div>

	</div>

	

</form>

<div id="progress"><?php echo $email_success;?></div>

<script type="text/javascript">

	// Function Validation Form

function valForm() {



	var formMessages = $('#form-messages');



	if ($('#name').val() == '') {

		$('#name-group').addClass('has-error');

		$('#name-alert').addClass('text-danger').html('Your name is empty');



	} else {

		$('#name-group').removeClass('has-error');

		$('#name-alert').removeClass('text-danger').html('');

	}



	if ($('#email').val() === '') {

		$('#email-group').addClass('has-error');

		$('#email-alert').addClass('text-danger').html('Your email is empty');

	} else {

		$('#email-group').removeClass('has-error');

		$('#email-alert').removeClass('text-danger').html('');

	}



}

// End Function



$(function() {



	// Contact Form

    var form = $('#contactform');

    var formMessages = $('#form-messages');



	$(form).submit(function(event) {



	    event.preventDefault();

	    formMessages.html('');



	    if(valForm()){

	    	var formData = $(form).serialize();



			$.ajax({

			    type: 'POST',

			    url: $(form).attr('action'),

			    data: formData

			}).done(function(response) {



			    $(formMessages).removeClass('text-warning');

			    $(formMessages).addClass('text-success');



			    $(formMessages).text('Your message has been sent.');



			    // Clear the form.

			    $('#name').val('');

			    $('#email').val('');



			}).fail(function(data) {



			    $(formMessages).removeClass('success');

			    $(formMessages).addClass('error');



			    if (data.responseText !== '') {

			        $(formMessages).text(data.responseText);

			    } else {

			        $(formMessages).text('Oops! An error occured and your message could not be sent.');

			    }

			});

	    }



	    

	});

	// End Contact Form

});

</script>



	<!--Contact form ends here-->

	</div>

      

    </div>

  </div>

</div>



<?php

/*function emp_msg_footer($content){

	$titan = TitanFramework::getInstance( 'pst-email' );

	$email_footermsg = $titan->getOption( 'email_footermsg' );

	if ( is_singular( $post_types = 'post' ) ) {

    $aftercontent = $email_footermsg;

    $content .= '<p>'.$aftercontent.'</p>';

    }

    return $content;

}*/





    if ($_SERVER["REQUEST_METHOD"] == "POST") {

    	function emp_ppt_mail_format() {

    return 'text/html';

}

add_filter( 'wp_mail_content_type','emp_ppt_mail_format' );

        // Get the form fields and remove whitespace.

        $to = filter_var(trim($_POST["email"]), FILTER_SANITIZE_EMAIL);

        

        //$query = get_post(get_the_ID()); 

		remove_filter('the_content', 'emp_wpptemail_before_after');

		//add_filter('the_content', 'emp_msg_footer');

		//$message = logos_enable().'<br>'.apply_filters('the_content', $query->post_content).'<br>';

        $message = emp_template();

        $title = get_the_title( $post_id );

		$subject = $title;

        // Build the email headers.

	    $headers = 'MIME-Version: 1.0' . "\r\n";

		$headers = array('Content-Type: text/html; charset=UTF-8');

		//$headers .= 'From: '. $name .' <"'. $email .'">' . "\r\n";

        // Build the email content.

                // Send the email.

        if (wp_mail($to, $subject, $message, $headers)) {

        	remove_filter('wp_mail_from', 'emp_ppt_email_from');

remove_filter('wp_mail_from_name', 'emp_ppt_email_from_name');

remove_filter('the_content', 'emp_msg_footer');

            // Set a 200 (okay) response code.

            http_response_code(200);

        } else {

            // Set a 500 (internal server error) response code.

            http_response_code(500);

        }

	}

}

?>